/*
----------------------------------------------------------------
Y. CIURLIK & A. DUCHENE - Projet Compil - M1GMI
-------------------------------------------------------------------
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <time.h>

#include "file.h"

#define SIZE_MAX_FILE 2000
#define SIZEBUF 512

boolean isInAlphabet(char);
int getListOfTransition(int);
int main(int,char**);
int pre_ac(char**,int);
int searchPosition(char);
void addLetterInAlphabet(char);
void addTransition(int,int,char);
void addWordInAlphabet(char*);
void postOut();
void aho_corasick(char**,int);
void completer(int);
void createMatrix();
void createState();
void createTableOfSubstitute();
void entrer(char*);
void setOut(int,char*);
void postMatrix();
void postSubstitute();
void setSubstitute(int,int);









